<?php



$tdatagrade_pdto = array();
$tdatagrade_pdto[".searchableFields"] = array();
$tdatagrade_pdto[".ShortName"] = "grade_pdto";
$tdatagrade_pdto[".OwnerID"] = "";
$tdatagrade_pdto[".OriginalTable"] = "grade_pdto";


$tdatagrade_pdto[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatagrade_pdto[".originalPagesByType"] = $tdatagrade_pdto[".pagesByType"];
$tdatagrade_pdto[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatagrade_pdto[".originalPages"] = $tdatagrade_pdto[".pages"];
$tdatagrade_pdto[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatagrade_pdto[".originalDefaultPages"] = $tdatagrade_pdto[".defaultPages"];

//	field labels
$fieldLabelsgrade_pdto = array();
$fieldToolTipsgrade_pdto = array();
$pageTitlesgrade_pdto = array();
$placeHoldersgrade_pdto = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"] = array();
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"] = array();
	$placeHoldersgrade_pdto["Portuguese(Brazil)"] = array();
	$pageTitlesgrade_pdto["Portuguese(Brazil)"] = array();
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["gradeID"] = "Grade ID";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["gradeID"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["gradeID"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["g0"] = "G0";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["g0"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["g0"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["g1"] = "G1";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["g1"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["g1"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["g2"] = "G2";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["g2"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["g2"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["g3"] = "G3";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["g3"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["g3"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["g4"] = "G4";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["g4"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["g4"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["g5"] = "G5";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["g5"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["g5"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["vigente"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["vigente"] = "";
	$fieldLabelsgrade_pdto["Portuguese(Brazil)"]["pdtoID"] = "Pdto ID";
	$fieldToolTipsgrade_pdto["Portuguese(Brazil)"]["pdtoID"] = "";
	$placeHoldersgrade_pdto["Portuguese(Brazil)"]["pdtoID"] = "";
	if (count($fieldToolTipsgrade_pdto["Portuguese(Brazil)"]))
		$tdatagrade_pdto[".isUseToolTips"] = true;
}


	$tdatagrade_pdto[".NCSearch"] = true;


	$tdatagrade_pdto[".scrollGridBody"] = true;

$tdatagrade_pdto[".shortTableName"] = "grade_pdto";
$tdatagrade_pdto[".nSecOptions"] = 0;

$tdatagrade_pdto[".mainTableOwnerID"] = "";
$tdatagrade_pdto[".entityType"] = 0;

$tdatagrade_pdto[".strOriginalTableName"] = "grade_pdto";

	



$tdatagrade_pdto[".showAddInPopup"] = false;

$tdatagrade_pdto[".showEditInPopup"] = false;

$tdatagrade_pdto[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatagrade_pdto[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatagrade_pdto[".listAjax"] = false;
//	temporary
$tdatagrade_pdto[".listAjax"] = false;

	$tdatagrade_pdto[".audit"] = false;

	$tdatagrade_pdto[".locking"] = false;


$pages = $tdatagrade_pdto[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatagrade_pdto[".edit"] = true;
	$tdatagrade_pdto[".afterEditAction"] = 0;
	$tdatagrade_pdto[".closePopupAfterEdit"] = 1;
	$tdatagrade_pdto[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatagrade_pdto[".add"] = true;
$tdatagrade_pdto[".afterAddAction"] = 0;
$tdatagrade_pdto[".closePopupAfterAdd"] = 1;
$tdatagrade_pdto[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatagrade_pdto[".list"] = true;
}



$tdatagrade_pdto[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatagrade_pdto[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatagrade_pdto[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatagrade_pdto[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatagrade_pdto[".printFriendly"] = true;
}



$tdatagrade_pdto[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatagrade_pdto[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatagrade_pdto[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatagrade_pdto[".isUseAjaxSuggest"] = true;

$tdatagrade_pdto[".rowHighlite"] = true;





$tdatagrade_pdto[".ajaxCodeSnippetAdded"] = false;

$tdatagrade_pdto[".buttonsAdded"] = false;

$tdatagrade_pdto[".addPageEvents"] = false;

// use timepicker for search panel
$tdatagrade_pdto[".isUseTimeForSearch"] = false;


$tdatagrade_pdto[".badgeColor"] = "cd5c5c";


$tdatagrade_pdto[".allSearchFields"] = array();
$tdatagrade_pdto[".filterFields"] = array();
$tdatagrade_pdto[".requiredSearchFields"] = array();

$tdatagrade_pdto[".googleLikeFields"] = array();
$tdatagrade_pdto[".googleLikeFields"][] = "gradeID";
$tdatagrade_pdto[".googleLikeFields"][] = "g0";
$tdatagrade_pdto[".googleLikeFields"][] = "g1";
$tdatagrade_pdto[".googleLikeFields"][] = "g2";
$tdatagrade_pdto[".googleLikeFields"][] = "g3";
$tdatagrade_pdto[".googleLikeFields"][] = "g4";
$tdatagrade_pdto[".googleLikeFields"][] = "g5";
$tdatagrade_pdto[".googleLikeFields"][] = "vigente";
$tdatagrade_pdto[".googleLikeFields"][] = "pdtoID";



$tdatagrade_pdto[".tableType"] = "list";

$tdatagrade_pdto[".printerPageOrientation"] = 0;
$tdatagrade_pdto[".nPrinterPageScale"] = 100;

$tdatagrade_pdto[".nPrinterSplitRecords"] = 40;

$tdatagrade_pdto[".geocodingEnabled"] = false;










$tdatagrade_pdto[".pageSize"] = 20;

$tdatagrade_pdto[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatagrade_pdto[".strOrderBy"] = $tstrOrderBy;

$tdatagrade_pdto[".orderindexes"] = array();

$tdatagrade_pdto[".sqlHead"] = "SELECT gradeID,  	g0,  	g1,  	g2,  	g3,  	g4,  	g5,  	vigente,  	pdtoID";
$tdatagrade_pdto[".sqlFrom"] = "FROM grade_pdto";
$tdatagrade_pdto[".sqlWhereExpr"] = "";
$tdatagrade_pdto[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatagrade_pdto[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatagrade_pdto[".arrGroupsPerPage"] = $arrGPP;

$tdatagrade_pdto[".highlightSearchResults"] = true;

$tableKeysgrade_pdto = array();
$tableKeysgrade_pdto[] = "gradeID";
$tdatagrade_pdto[".Keys"] = $tableKeysgrade_pdto;


$tdatagrade_pdto[".hideMobileList"] = array();




//	gradeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "gradeID";
	$fdata["GoodName"] = "gradeID";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","gradeID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "gradeID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gradeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["gradeID"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "gradeID";
//	g0
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "g0";
	$fdata["GoodName"] = "g0";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","g0");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "g0";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g0";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["g0"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "g0";
//	g1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "g1";
	$fdata["GoodName"] = "g1";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","g1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "g1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["g1"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "g1";
//	g2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "g2";
	$fdata["GoodName"] = "g2";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","g2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "g2";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["g2"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "g2";
//	g3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "g3";
	$fdata["GoodName"] = "g3";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","g3");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "g3";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["g3"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "g3";
//	g4
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "g4";
	$fdata["GoodName"] = "g4";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","g4");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "g4";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g4";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["g4"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "g4";
//	g5
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "g5";
	$fdata["GoodName"] = "g5";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","g5");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "g5";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g5";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["g5"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "g5";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["vigente"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "vigente";
//	pdtoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "pdtoID";
	$fdata["GoodName"] = "pdtoID";
	$fdata["ownerTable"] = "grade_pdto";
	$fdata["Label"] = GetFieldLabel("grade_pdto","pdtoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pdtoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pdtoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatagrade_pdto["pdtoID"] = $fdata;
		$tdatagrade_pdto[".searchableFields"][] = "pdtoID";


$tables_data["grade_pdto"]=&$tdatagrade_pdto;
$field_labels["grade_pdto"] = &$fieldLabelsgrade_pdto;
$fieldToolTips["grade_pdto"] = &$fieldToolTipsgrade_pdto;
$placeHolders["grade_pdto"] = &$placeHoldersgrade_pdto;
$page_titles["grade_pdto"] = &$pageTitlesgrade_pdto;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["grade_pdto"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["grade_pdto"] = array();



	
				$strOriginalDetailsTable="tb_produtos";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_produtos";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_produtos";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["grade_pdto"][0] = $masterParams;
				$masterTablesData["grade_pdto"][0]["masterKeys"] = array();
	$masterTablesData["grade_pdto"][0]["masterKeys"][]="pdtoiD";
				$masterTablesData["grade_pdto"][0]["detailKeys"] = array();
	$masterTablesData["grade_pdto"][0]["detailKeys"][]="pdtoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_grade_pdto()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "gradeID,  	g0,  	g1,  	g2,  	g3,  	g4,  	g5,  	vigente,  	pdtoID";
$proto0["m_strFrom"] = "FROM grade_pdto";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "gradeID",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto6["m_sql"] = "gradeID";
$proto6["m_srcTableName"] = "grade_pdto";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "g0",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto8["m_sql"] = "g0";
$proto8["m_srcTableName"] = "grade_pdto";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "g1",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto10["m_sql"] = "g1";
$proto10["m_srcTableName"] = "grade_pdto";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "g2",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto12["m_sql"] = "g2";
$proto12["m_srcTableName"] = "grade_pdto";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "g3",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto14["m_sql"] = "g3";
$proto14["m_srcTableName"] = "grade_pdto";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "g4",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto16["m_sql"] = "g4";
$proto16["m_srcTableName"] = "grade_pdto";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "g5",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto18["m_sql"] = "g5";
$proto18["m_srcTableName"] = "grade_pdto";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto20["m_sql"] = "vigente";
$proto20["m_srcTableName"] = "grade_pdto";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "pdtoID",
	"m_strTable" => "grade_pdto",
	"m_srcTableName" => "grade_pdto"
));

$proto22["m_sql"] = "pdtoID";
$proto22["m_srcTableName"] = "grade_pdto";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "grade_pdto";
$proto25["m_srcTableName"] = "grade_pdto";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "gradeID";
$proto25["m_columns"][] = "g0";
$proto25["m_columns"][] = "g1";
$proto25["m_columns"][] = "g2";
$proto25["m_columns"][] = "g3";
$proto25["m_columns"][] = "g4";
$proto25["m_columns"][] = "g5";
$proto25["m_columns"][] = "vigente";
$proto25["m_columns"][] = "pdtoID";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "grade_pdto";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "grade_pdto";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="grade_pdto";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_grade_pdto = createSqlQuery_grade_pdto();


	
		;

									

$tdatagrade_pdto[".sqlquery"] = $queryData_grade_pdto;

$tableEvents["grade_pdto"] = new eventsBase;
$tdatagrade_pdto[".hasEvents"] = false;

?>